Bug 83395 - Export: PDF export dialog has no mention of the word 'hybrid pdf'
Summary: Export: PDF export dialog has no mention of the word 'hybrid pdf'
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2014-09-02 11:35 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-21 09:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-09-02 11:35:47 UTC
I was reading a tweet today about libreoffice creating hybrid pdfs < https://twitter.com/saifulmuhajir/status/506729499539427329 > which i had heard about a few times but never actually tried doing. So i open up writer and looked in the pdf options dialog for the word 'hybrid pdf' but couldnt find it anywhere, so then i searched and came across the wiki page about it < https://wiki.documentfoundation.org/Documentation/HowTo/CreateAHybridPDF >, which had the necessary instructions to do it.

So i'd like to suggest the following label changes in the dialog.

* Hybrid PDF (Embed ODF File)
* Archive PDF/A-1a (ISO 19005-1)

Using this format bring uniformity with 'Tagged PDF', 'Create PDF form', and 'View PDF after Export'. I think 'Tagged PDF' could also be changed to 'Tagged PDF (Include document structure information)' or something of that nature. It should also be noted that in LibO 3.3.0, 'Embed OpenDocument File' was labelled 'Create hybrid file'.

Also of note, i believe when the dialog was changed to the new UI in 4.2, the words 'Makes this PDF easily editable in LibreOffice', may have been mistakenly removed.
Comment 1 Cor Nouws 2014-09-02 14:24:01 UTC
Hi Jay :)

> * Hybrid PDF (Embed ODF File)
> * Archive PDF/A-1a (ISO 19005-1)

great!

> Also of note, i believe when the dialog was changed to the new UI in 4.2,
> the words 'Makes this PDF easily editable in LibreOffice', may have been
> mistakenly removed.

Looks more as something to add to the help (tip).

Cheers,
Cor
Comment 2 Adolfo Jayme 2014-09-03 03:39:46 UTC
> > Also of note, i believe when the dialog was changed to the new UI in 4.2,
> > the words 'Makes this PDF easily editable in LibreOffice', may have been
> > mistakenly removed.
> 
> Looks more as something to add to the help (tip).

No, it hasn’t been removed and it’s already in a tooltip, which appears when placing the mouse over the option.
Comment 3 Yousuf Philips (jay) (retired) 2014-09-03 12:04:06 UTC
(In reply to comment #2)
> No, it hasn’t been removed and it’s already in a tooltip, which appears when
> placing the mouse over the option.

Yes you are correct :)

Well maybe a tooltip can then be used for Tagged PDF.
Comment 4 Yousuf Philips (jay) (retired) 2014-10-24 02:44:44 UTC
Patch put in to change the 3 labels and also include tooltips.

https://gerrit.libreoffice.org/12081
Comment 5 Commit Notification 2014-11-06 08:14:11 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6efb46c6493d4c3c2208dcbea25471c0268fc10c

fdo#83395 - improve PDF export dialog labels and tooltips

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.